#include<bits/stdc++.h>

using namespace std;

struct Pair{
    double a, p;
}f[200001];

bool cmp(Pair p1, Pair p2)
{
    return (p1.p < p2.p);
}

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    double max = 0, sum = 0; 
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        scanf("%lf%lf",& f[i].a,& f[i].p);
        sum += f[i].a;
    }
    sort(f, f + n, cmp);
    for(int i = 0; i < n; i++)
    {
        double s = sum * f[i].p / 100;
        if (max < s) max = s;
        sum -= f[i].a;
    }
    printf("%.2lf \n",max);
}